[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# UnRegisterConnection

Unregister a registered connection type

## Declaration

Source position: sqldb.pp line 827

`procedure UnRegisterConnection(`
`Def: TConnectionDefClass`
`); procedure UnRegisterConnection(`
`ConnectionName: string`
`);`

## Arguments

`Def` |  | The connection type definition to unregister.

## Arguments

`ConnectionName` |  | The name of the connection type definition to unregister.

## Description

UnRegisterConnection will unregister the connection Def. If a connection with ConnectionName or with name as returned by the TypeName method from Def was previously registered, it will be removed from the list of registered connection types.

## Errors

if Def is Nil, access violations will occur.

## See also

TConnectionDef |  | Connection type definition class
RegisterConnection |  | Register a new connection type for use in the universal connector